"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var feature_toggle_service_1 = require("feature-toggle-service");
var FeatureToggleComponent = (function () {
    function FeatureToggleComponent(el) {
        this.el = el;
        this.isEnabled = false;
    }
    FeatureToggleComponent.prototype.ngOnInit = function () {
        if (!this.featureName) {
            throw new Error('Attribute `featureName` should not be null or empty');
        }
        var showWhenDisabled = this.el.nativeElement.getAttribute('showWhenDisabled') !== null;
        var toggleState = feature_toggle_service_1.isOn(this.featureName);
        this.isEnabled = toggleState === !showWhenDisabled;
        if (!this.isEnabled) {
            this.el.nativeElement.remove();
        }
    };
    return FeatureToggleComponent;
}());
FeatureToggleComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'feature-toggle',
                template: '<ng-content></ng-content>'
            },] },
];
/** @nocollapse */
FeatureToggleComponent.ctorParameters = function () { return [
    { type: core_1.ElementRef, },
]; };
FeatureToggleComponent.propDecorators = {
    'featureName': [{ type: core_1.Input },],
};
exports.FeatureToggleComponent = FeatureToggleComponent;
